Skip to content

List contact for borrower

Request

List contacts for a borrower.

Security
oauth2(Required scopes: contact:list) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

Query
limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

sortByArray of strings

The data attributes by which to sort the results.

collidesWithEmailstring

Filters for contacts which would collide with this email if it were used to create a new borrower contact.

collidesWithPhonestring

Filters for contacts which would collide with this phone number if it were used to create a new borrower contact.

contactTypestring(ContactType)

The contact type to filter by.

Enum:"phone""email""address""whatsApp""fbMessenger"
affiliationstring(ContactAffiliation)

The contact affiliation to filter by.

Enum:"self""spouse""parent""guardian""executor""administrator""otherRelative""legal""businessOwner""businessExecutive"
labelstring(ContactLabel)

The contact label to filter by.

Enum:"personal""home""work""military"
statusstring(ContactStatus)

The contact status to filter by.

Enum:"primary""secondary""additional""archived"
includeArchivedboolean

Include archived contacts into the result.

Default:false
includeLegalboolean

Whether to include legal representation contact objects.

Default:true
receiveTextMessagesboolean

If passed, only returns contacts with receiveTextMessages set to that value.

valuestring

The value of the contact to filter by.

powerOfAttorneyboolean

If passed, only returns contacts with powerOfAttorney set to that value.

authorizedThirdPartyboolean

If passed, only returns contacts with authorizedThirdParty set to that value.

GET
/people/{personId}/contacts
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/contacts?limit=25&startingAfter=string&endingBefore=string&sortBy=string&collidesWithEmail=string&collidesWithPhone=string&contactType=phone&affiliation=self&label=personal&status=primary&includeArchived=false&includeLegal=true&receiveTextMessages=true&value=string&powerOfAttorney=true&authorizedThirdParty=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Number of items returned by the current request.

nextUrlstring or nullread-only

URL of the next set of results.

previousUrlstring or nullread-only

URL of the previous set of results.

statusinteger

HTTP status code.

totalintegerread-only

Total number of items in this result.

dataArray of objects(contactInformation)
Response
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }